package dk.nsp.api.auth.keystore

/**
 * purpose: to handle migrations for the auth controller.
 */
internal class AuthMigrationController {
    private val latestMigrationLevel = 1
    internal fun handMigration(storedValues: KeyStoreValues) {
        when (storedValues.migrationLevel) {
            -1, 0 -> storedValues.clear()
        }
        storedValues.migrationLevel = latestMigrationLevel
    }
}