@file:UseSerializers(DateTimeSerializer::class)

package dk.nsp.api.careplan.models

import dk.nsp.api.util.converters.DateTimeSerializer
import kotlinx.serialization.Serializable
import kotlinx.serialization.UseSerializers
import org.joda.time.DateTime

@Serializable
data class ObservationDTO(
    val dateOfMeasurement: DateTime,
    val values: List<MeasurementDTO>,
    val measuredBy: String,
    val enteredBy: String,
    val completed: Boolean,
    val fetus: String?,
    val type: ObservationTypeDTO,
    val id: String
)