package dk.nsp.api.configuration

import dk.nsp.api.configuration.models.ConfigurationChecklistItem
import dk.nsp.api.util.extensions.asyncIO
import dk.nsp.shared.Failed
import dk.nsp.shared.ResultWrapper
import kotlinx.coroutines.CoroutineScope
import kotlinx.coroutines.Deferred
import kotlinx.coroutines.delay

class ConfigurationControllerMock : IConfigurationController {


    override fun updateChecklistItem(
        scope: CoroutineScope,
        checklistId: String,
        updateChecklistBody: ConfigurationChecklistItem
    ): Deferred<ResultWrapper<ConfigurationChecklistItem>> = scope.asyncIO {
        delay(150)

//        val matchingChecklist = checklists.firstOrNull { it.id == checklist.id }
//
//        if (matchingChecklist != null) {
//            val foundItem = matchingChecklist.items.firstOrNull { it.id == checklistItem.id }
//
//            if (foundItem != null) {
//                val indexOfItem = matchingChecklist.items.indexOf(foundItem)
//                val toggledItem = foundItem.copy(value = !foundItem.value)
//
//                val copyOfList = matchingChecklist.items.toMutableList()
//
//                copyOfList.removeAt(indexOfItem)
//                copyOfList.add(indexOfItem, toggledItem)
//
//                val newChecklist = checklist.copy(items = copyOfList)
//
//                val indexOfChecklist = checklists.indexOfFirst { it.id == checklist.id }
//                checklists[indexOfChecklist] = newChecklist
//
//                Success(toggledItem)
//            } else {
        Failed(Exception("Kunne ikke finde checklisten"))
//            }
//
//        } else {
//            Failed(Resources.NotFoundException("Could not find checklist"))
//        }
    }

    override fun getCheckedChecklistItems(scope: CoroutineScope): Deferred<ResultWrapper<List<String>>> =
        scope.asyncIO {
            Failed(NotImplementedError())
        }
}