package dk.nsp.mingraviditet.di

import android.content.Context
import dagger.Module
import dagger.Provides
import dagger.hilt.InstallIn
import dagger.hilt.android.components.ApplicationComponent
import dagger.hilt.android.qualifiers.ApplicationContext
import dk.nsp.domain.auth.AuthRepo
import javax.inject.Singleton

@InstallIn(ApplicationComponent::class)
@Module
object AuthRepositoryModule {

    @Singleton
    @Provides
    fun provideAuthRepository(@ApplicationContext context: Context): AuthRepo = AuthRepo(context)
}