package dk.nsp.mingraviditet.di

import android.content.Context
import dagger.Module
import dagger.Provides
import dagger.hilt.InstallIn
import dagger.hilt.android.components.ApplicationComponent
import dagger.hilt.android.qualifiers.ApplicationContext
import dk.nsp.domain.repository.ChecklistRepository
import javax.inject.Singleton


@InstallIn(ApplicationComponent::class)
@Module
object LexiconRepositoryModule {

    @Singleton
    @Provides
    fun provideLexiconRepository(@ApplicationContext context: Context): ChecklistRepository =
        ChecklistRepository(context)
}