package dk.nsp.mingraviditet.ui.adapterviews

import dk.nsp.mingraviditet.databinding.ChecklistNoLoginRowBinding
import dk.nsp.mingraviditet.util.android.recycler.BindingViewHolder
import dk.nsp.mingraviditet.util.android.recycler.DelegationListAdapterInflater
import dk.nsp.mingraviditet.util.android.recycler.RecyclerAdapterView

class TextRow(val text: String) : RecyclerAdapterView<ChecklistNoLoginRowBinding> {
    override fun bindData(viewHolder: BindingViewHolder<ChecklistNoLoginRowBinding>) {
        viewHolder.binding.text = text
    }

    override val createHolderFunction: DelegationListAdapterInflater<ChecklistNoLoginRowBinding> =
        ChecklistNoLoginRowBinding::inflate
}