package dk.nsp.mingraviditet.ui.common

import dk.nsp.mingraviditet.databinding.SectionHeaderBinding
import dk.nsp.mingraviditet.util.android.recycler.BindingViewHolder
import dk.nsp.mingraviditet.util.android.recycler.DelegationListAdapterInflater
import dk.nsp.mingraviditet.util.android.recycler.RecyclerAdapterView
import dk.nsp.util.TextModel

class SectionHeaderAdapterView(val text: TextModel) : RecyclerAdapterView<SectionHeaderBinding> {
    override fun bindData(viewHolder: BindingViewHolder<SectionHeaderBinding>) {
        viewHolder.binding.sectionTitle = text
    }

    override val createHolderFunction: DelegationListAdapterInflater<SectionHeaderBinding> =
        SectionHeaderBinding::inflate

}