package dk.nsp.mingraviditet.ui.main.knowledge.article

import com.commonsense.android.kotlin.system.compat.fromHtml
import dk.nsp.mingraviditet.databinding.ArticleExcerptTextRowBinding
import dk.nsp.mingraviditet.util.android.recycler.BindingViewHolder
import dk.nsp.mingraviditet.util.android.recycler.DelegationListAdapterInflater
import dk.nsp.mingraviditet.util.android.recycler.RecyclerAdapterView

class ArticleExcerptRow(private val excerpt: String) :
    RecyclerAdapterView<ArticleExcerptTextRowBinding> {
    override fun bindData(viewHolder: BindingViewHolder<ArticleExcerptTextRowBinding>) {
        viewHolder.binding.excerptText.text = excerpt.fromHtml()
    }

    override val createHolderFunction: DelegationListAdapterInflater<ArticleExcerptTextRowBinding> =
        ArticleExcerptTextRowBinding::inflate
}