package dk.nsp.mingraviditet.ui.useradmission.knowledge

import android.os.Bundle
import android.view.LayoutInflater
import androidx.appcompat.app.AppCompatActivity
import dagger.hilt.android.AndroidEntryPoint
import dk.nsp.mingraviditet.databinding.ActivityNoLoginKnowledgeBinding

@AndroidEntryPoint
class KnowledgeNoLoginActivity : AppCompatActivity() {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)

        val binding =
            ActivityNoLoginKnowledgeBinding.inflate(LayoutInflater.from(this), null, false)

        binding.login.setOnClickListener {
            finish()
        }

        setContentView(binding.root)
    }

}