package dk.nsp.mingraviditet.util.bindingadapters

import android.view.View
import android.widget.ImageView
import androidx.databinding.BindingAdapter

// Use this when setting a DrawableRes background on a view
@BindingAdapter("android:drawableBackground")
fun setBackground(view: View, resource: Int) {
    view.setBackgroundResource(resource)
}

@BindingAdapter("drawableResSrc")
fun ImageView.setDrawableResSrc(resource: Int) {
    setImageResource(resource)
}