package dk.nsp.domain.auth


import android.os.Parcelable
import dk.nsp.api.auth.keyserver.models.KeyModelDTO
import kotlinx.parcelize.Parcelize

@Parcelize
class KeyModel(
    val key: String,
    val keyId: String,
    val longSecret: String
) : Parcelable

fun KeyModel.toDTO(): KeyModelDTO =
    KeyModelDTO(key, keyId, longSecret)

fun KeyModelDTO.toLogic(): KeyModel =
    KeyModel(key, keyId, longSecret)