package dk.nsp.domain.careplan

import android.os.Parcelable
import dk.nsp.api.careplan.models.CodeDTO
import kotlinx.parcelize.Parcelize

@Parcelize
data class Code(
    val code: String,
    val codeSystem: String,
    val display: String
) : Parcelable

fun CodeDTO.toDomainModel(): Code {
    return Code(code, codeSystem, display)
}