package dk.nsp.domain.careplan

import android.os.Parcelable
import dk.nsp.api.careplan.models.MeasurementDTO
import kotlinx.parcelize.Parcelize

@Parcelize
data class Measurement(
        val value: String,
        val unit: String?,
        val name: String?,
) : Parcelable

fun MeasurementDTO.toDomainModel(): Measurement {
    return Measurement(value, unit, name)
}