package dk.nsp.domain.careplan

import android.os.Parcelable
import dk.nsp.api.careplan.models.OrganizationDTO
import kotlinx.parcelize.Parcelize

@Parcelize
data class Organization(
    val id: String,
    val source: String
) : Parcelable

fun OrganizationDTO.toDomainModel(): Organization {
    return Organization(id, source)
}