package dk.nsp.api.auth.keyserver

import dk.nsp.api.auth.keyserver.models.KeyModelDTO
import dk.nsp.shared.ResultWrapper

interface IKeyServerController {
    suspend fun createKey(secret: String): ResultWrapper<KeyModelDTO>
    suspend fun getKey(password: String, keyId: String): ResultWrapper<KeyModelDTO>
    suspend fun getKeyViaLongSecret(longSecret: String, keyId: String): ResultWrapper<KeyModelDTO>
}