package dk.nsp.api.careplan

import dk.nsp.api.careplan.models.CareplanDTO
import retrofit2.http.GET


private const val maternityEndpoint = "maternity"

interface CareplanAPI {
    @GET("$maternityEndpoint/care-plan")
    suspend fun getCareplans(): List<CareplanDTO>
}