package dk.nsp.api.careplan

import dk.nsp.api.careplan.models.CareplanDTO
import dk.nsp.shared.ResultWrapper
import kotlinx.coroutines.CoroutineScope
import kotlinx.coroutines.Deferred

interface ICareplanController {
    fun getCareplan(scope: CoroutineScope): Deferred<ResultWrapper<List<CareplanDTO>>>
}