package dk.nsp.api.careplan.models

import kotlinx.serialization.Serializable

@Serializable
data class HealthcareLocationDTO(
    val healthCareActorsIdentification: String?,
    val address: AddressDTO?,
    val organizationName: String?,
    val phone: String?,
    val email: String?,
    val fax: String?
)

@Serializable
data class AddressDTO(
    val street: String?,
    val zip: String?,
    val city: String?
)