@file:UseSerializers(DateTimeSerializer::class)

package dk.nsp.api.careplan.models

import dk.nsp.api.util.converters.DateTimeSerializer
import kotlinx.serialization.Serializable
import kotlinx.serialization.UseSerializers
import org.joda.time.DateTime

@Serializable
data class NoteDTO(
    val title: String,
    val content: String,
    val date: DateTime,
    val id: String,
    val author: String
)