package dk.nsp.api.careplan.models

import kotlinx.serialization.SerialName
import kotlinx.serialization.Serializable

@Serializable
enum class ObservationTypeDTO {
    @SerialName("weight")
    Weight,
    @SerialName("blood_pressure")
    BloodPressure,
    @SerialName("urine")
    Urine,
    @SerialName("edema")
    Edema,
    @SerialName("pubis_measurements")
    PubisMeasurements,
    @SerialName("fetus_activity")
    FetusActivity,
    @SerialName("fetus_weight_estimate")
    FetusWeightEstimate,
    @SerialName("fetus_presentation")
    FetusPresentation,
    @SerialName("ga_u_d")
    GAUD,
    @SerialName("ul_weight")
    UlWeight,
    @SerialName("weight_deviation")
    WeightDeviation,
    @SerialName("amniotic_fluid")
    AmnioticFluid,
    @SerialName("flow")
    Flow
}