package dk.nsp.mingraviditet.domain

import android.content.DialogInterface
import androidx.annotation.StringRes

data class AlertDialogViewModel(
    @StringRes val title: Int,
    @StringRes val message: Int,
    val cancelable: Boolean = true,
    val positiveButton: AlertDialogButtonModel? = null,
    val negativeButton: AlertDialogButtonModel? = null,
    val onDismissListener: DialogInterface.OnDismissListener? = null
) {
    companion object
}

data class AlertDialogButtonModel(
    @StringRes val buttonTitle: Int,
    val dialogInterface: DialogInterface.OnClickListener? = null
)