package dk.nsp.mingraviditet.ui.main.knowledge

import dk.nsp.mingraviditet.databinding.ChecklistOverviewCardBinding
import dk.nsp.mingraviditet.ui.main.knowledge.viewbinding.ChecklistOverviewCardViewBindingModel
import dk.nsp.mingraviditet.util.android.recycler.BindingViewHolder
import dk.nsp.mingraviditet.util.android.recycler.DelegationListAdapterInflater
import dk.nsp.mingraviditet.util.android.recycler.RecyclerAdapterView

class ChecklistOverviewCard(val data: ChecklistOverviewCardViewBindingModel) :
    RecyclerAdapterView<ChecklistOverviewCardBinding> {
    override fun bindData(viewHolder: BindingViewHolder<ChecklistOverviewCardBinding>) {
        viewHolder.binding.vm = data

        viewHolder.binding.progress.setPercentage(data.checklist.completeness().toInt())
    }

    override val createHolderFunction: DelegationListAdapterInflater<ChecklistOverviewCardBinding> =
        ChecklistOverviewCardBinding::inflate

}