package dk.nsp.mingraviditet.ui.main.knowledge.article

import dk.nsp.mingraviditet.databinding.ArticleLastUpdatedDateRowBinding
import dk.nsp.mingraviditet.util.android.recycler.BindingViewHolder
import dk.nsp.mingraviditet.util.android.recycler.DelegationListAdapterInflater
import dk.nsp.mingraviditet.util.android.recycler.RecyclerAdapterView
import org.joda.time.DateTime

class ArticleLastUpdatedDateRow(val data: DateTime) :
    RecyclerAdapterView<ArticleLastUpdatedDateRowBinding> {
    override fun bindData(viewHolder: BindingViewHolder<ArticleLastUpdatedDateRowBinding>) {
        viewHolder.binding.updatedDate = data
    }

    override val createHolderFunction: DelegationListAdapterInflater<ArticleLastUpdatedDateRowBinding> =
        ArticleLastUpdatedDateRowBinding::inflate

}