package dk.nsp.mingraviditet.ui.main.knowledge.articles

import dk.nsp.mingraviditet.databinding.ArticleCardBinding
import dk.nsp.mingraviditet.ui.main.knowledge.viewbinding.ArticleCardBindingModel
import dk.nsp.mingraviditet.util.android.recycler.BindingViewHolder
import dk.nsp.mingraviditet.util.android.recycler.DelegationListAdapterInflater
import dk.nsp.mingraviditet.util.android.recycler.RecyclerAdapterView

class ArticleCard(val data: ArticleCardBindingModel) : RecyclerAdapterView<ArticleCardBinding> {
    override fun bindData(viewHolder: BindingViewHolder<ArticleCardBinding>) {
        viewHolder.binding.catalogue = data
    }

    override val createHolderFunction: DelegationListAdapterInflater<ArticleCardBinding> =
        ArticleCardBinding::inflate

}