package dk.nsp.mingraviditet.ui.main.more

import androidx.hilt.Assisted
import androidx.hilt.lifecycle.ViewModelInject
import androidx.lifecycle.SavedStateHandle
import androidx.lifecycle.ViewModel
import dk.nsp.domain.auth.AuthRepo

class MoreFragmentViewModel @ViewModelInject constructor(
    private val authRepo: AuthRepo,
    @Assisted private val savedStateHandle: SavedStateHandle
) : ViewModel() {

    fun logout() {
        authRepo.logout()
    }

    fun removeConsent() {
        authRepo.clear()
    }

}