package dk.nsp.mingraviditet.ui.useradmission.login

import android.app.Application
import com.commonsense.android.kotlin.base.extensions.type
import dk.nsp.mingraviditet.ui.useradmission.login.keyboard.KeyboardViewModel
import dk.nsp.mingraviditet.util.android.BaseViewModelFactory

class LoginViewModelFactory(
    private val application: Application,
    private val pinMode: PinCodeMode,
    private val keyboardViewModel: KeyboardViewModel
) : BaseViewModelFactory<LoginViewModel>() {

    override val clz: Class<LoginViewModel> = type()

    override fun create(): LoginViewModel {
        return LoginViewModel(application, pinMode, keyboardViewModel)
    }
}