package dk.nsp.domain.careplan

import org.joda.time.DateTime

data class CareplanActivities(
    val pastActivities: List<CareplanActivityYear>,
    val futureActivities: List<CareplanActivityYear>
)

data class CareplanActivityYear(
    val year: DateTime,
    val monthActivities: List<CareplanActivitiesMonth>
)

data class CareplanActivitiesMonth(val month: DateTime, val activites: List<CareplanActivity>)
