package dk.nsp.domain.careplan

import android.os.Parcelable
import dk.nsp.api.careplan.models.CareplanGoalDTO
import kotlinx.parcelize.Parcelize

@Parcelize
data class CareplanGoal(
    val code: Code,
    val text: String?
) : Parcelable

fun CareplanGoalDTO.toDomainModel(): CareplanGoal {
    return CareplanGoal(code.toDomainModel(), text)
}