package dk.nsp.domain.careplan

import dk.nsp.api.careplan.models.CareplanStatusDTO

enum class CareplanStatus {
    Expected,
    Planned,
    Finished
}

fun CareplanStatusDTO.toDomainModel(): CareplanStatus {
    return when (this) {
        CareplanStatusDTO.Expected -> CareplanStatus.Expected
        CareplanStatusDTO.Planned -> CareplanStatus.Planned
        CareplanStatusDTO.Finished -> CareplanStatus.Finished
    }
}